org.apache.lucene.analysis.miscellaneous

## Class CodepointCountFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.CodepointCountFilterFactory

-     public class CodepointCountFilterFactory
      extends TokenFilterFactory

  Factory for `CodepointCountFilter`.

       <fieldType name="text_lngth" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.CodepointCountFilterFactory" min="0" max="1" />
         </analyzer>
       </fieldType>

  Since:
    4.5.1
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "codepointCount"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MAX_KEY`
    `static String` | `MIN_KEY`
    `static String` | `NAME` SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodepointCountFilterFactory(Map<String,String> args)` Creates a new CodepointCountFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CodepointCountFilter` | `create(TokenStream input)` Transform the specified input TokenStream

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

    - #### MIN_KEY

          public static final String MIN_KEY

      See Also:
        Constant Field Values

    - #### MAX_KEY

          public static final String MAX_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CodepointCountFilterFactory

          public CodepointCountFilterFactory(Map<String,String> args)

      Creates a new CodepointCountFilterFactory

  - ### Method Detail

    - #### create

          public CodepointCountFilter create(TokenStream input)

      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.